<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::ExprLhs&lt; LhsT &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="classCatch_1_1ExprLhs.html">ExprLhs</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classCatch_1_1ExprLhs-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::ExprLhs&lt; LhsT &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad22c6af1a7d6993240624d299714a479"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#ad22c6af1a7d6993240624d299714a479">ExprLhs</a> (LhsT lhs)</td></tr>
<tr class="separator:ad22c6af1a7d6993240624d299714a479"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af218aaf7b5b0a0ebb6b3697f2c89893d"><td class="memTemplParams" colspan="2">template&lt;typename RhsT &gt; </td></tr>
<tr class="memitem:af218aaf7b5b0a0ebb6b3697f2c89893d"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#af218aaf7b5b0a0ebb6b3697f2c89893d">operator==</a> (RhsT const &amp;rhs) -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:af218aaf7b5b0a0ebb6b3697f2c89893d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab707a84abdffbdc35962a495e238d393"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#ab707a84abdffbdc35962a495e238d393">operator==</a> (bool rhs) -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, bool &gt; const</td></tr>
<tr class="separator:ab707a84abdffbdc35962a495e238d393"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d660580c0a8e6bb24b65a4b5364b5b1"><td class="memTemplParams" colspan="2">template&lt;typename RhsT &gt; </td></tr>
<tr class="memitem:a2d660580c0a8e6bb24b65a4b5364b5b1"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#a2d660580c0a8e6bb24b65a4b5364b5b1">operator!=</a> (RhsT const &amp;rhs) -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:a2d660580c0a8e6bb24b65a4b5364b5b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60eca847201d057d8a8b7222c69b619c"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#a60eca847201d057d8a8b7222c69b619c">operator!=</a> (bool rhs) -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, bool &gt; const</td></tr>
<tr class="separator:a60eca847201d057d8a8b7222c69b619c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f9d22b7ef87375af7a2583c9643a0f4"><td class="memTemplParams" colspan="2">template&lt;typename RhsT &gt; </td></tr>
<tr class="memitem:a7f9d22b7ef87375af7a2583c9643a0f4"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#a7f9d22b7ef87375af7a2583c9643a0f4">operator&gt;</a> (RhsT const &amp;rhs) -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:a7f9d22b7ef87375af7a2583c9643a0f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd1ce21cb0be233a63cbdd7724adffea"><td class="memTemplParams" colspan="2">template&lt;typename RhsT &gt; </td></tr>
<tr class="memitem:afd1ce21cb0be233a63cbdd7724adffea"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#afd1ce21cb0be233a63cbdd7724adffea">operator&lt;</a> (RhsT const &amp;rhs) -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:afd1ce21cb0be233a63cbdd7724adffea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ab1a2e91533a8b66a5d2e70774f6793"><td class="memTemplParams" colspan="2">template&lt;typename RhsT &gt; </td></tr>
<tr class="memitem:a5ab1a2e91533a8b66a5d2e70774f6793"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#a5ab1a2e91533a8b66a5d2e70774f6793">operator&gt;=</a> (RhsT const &amp;rhs) -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:a5ab1a2e91533a8b66a5d2e70774f6793"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a918090c28bee54222730159b56240af1"><td class="memTemplParams" colspan="2">template&lt;typename RhsT &gt; </td></tr>
<tr class="memitem:a918090c28bee54222730159b56240af1"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#a918090c28bee54222730159b56240af1">operator&lt;=</a> (RhsT const &amp;rhs) -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:a918090c28bee54222730159b56240af1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52358a7cbaf47578ff436a378ac818c6"><td class="memTemplParams" colspan="2">template&lt;typename RhsT &gt; </td></tr>
<tr class="memitem:a52358a7cbaf47578ff436a378ac818c6"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#a52358a7cbaf47578ff436a378ac818c6">operator|</a> (RhsT const &amp;rhs) -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:a52358a7cbaf47578ff436a378ac818c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39bc6a4687580e5fef174cae9b573283"><td class="memTemplParams" colspan="2">template&lt;typename RhsT &gt; </td></tr>
<tr class="memitem:a39bc6a4687580e5fef174cae9b573283"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#a39bc6a4687580e5fef174cae9b573283">operator&amp;</a> (RhsT const &amp;rhs) -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:a39bc6a4687580e5fef174cae9b573283"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a904664f51bf478b41b12ac6cb3e1ec23"><td class="memTemplParams" colspan="2">template&lt;typename RhsT &gt; </td></tr>
<tr class="memitem:a904664f51bf478b41b12ac6cb3e1ec23"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#a904664f51bf478b41b12ac6cb3e1ec23">operator^</a> (RhsT const &amp;rhs) -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:a904664f51bf478b41b12ac6cb3e1ec23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad85684f7b02a98eb1b5d03d4cbd8284b"><td class="memTemplParams" colspan="2">template&lt;typename RhsT &gt; </td></tr>
<tr class="memitem:ad85684f7b02a98eb1b5d03d4cbd8284b"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#ad85684f7b02a98eb1b5d03d4cbd8284b">operator&amp;&amp;</a> (RhsT const &amp;) -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:ad85684f7b02a98eb1b5d03d4cbd8284b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9b4ee923b90af22c9e39261c2f03cd3"><td class="memTemplParams" colspan="2">template&lt;typename RhsT &gt; </td></tr>
<tr class="memitem:ae9b4ee923b90af22c9e39261c2f03cd3"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#ae9b4ee923b90af22c9e39261c2f03cd3">operator||</a> (RhsT const &amp;) -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:ae9b4ee923b90af22c9e39261c2f03cd3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab68bd6d5d3ae21b7fba9010150fba95d"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#ab68bd6d5d3ae21b7fba9010150fba95d">makeUnaryExpr</a> () const -&gt; <a class="el" href="classCatch_1_1UnaryExpr.html">UnaryExpr</a>&lt; LhsT &gt;</td></tr>
<tr class="separator:ab68bd6d5d3ae21b7fba9010150fba95d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad22c6af1a7d6993240624d299714a479"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#ad22c6af1a7d6993240624d299714a479">ExprLhs</a> (LhsT lhs)</td></tr>
<tr class="separator:ad22c6af1a7d6993240624d299714a479"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af218aaf7b5b0a0ebb6b3697f2c89893d"><td class="memTemplParams" colspan="2">template&lt;typename RhsT &gt; </td></tr>
<tr class="memitem:af218aaf7b5b0a0ebb6b3697f2c89893d"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#af218aaf7b5b0a0ebb6b3697f2c89893d">operator==</a> (RhsT const &amp;rhs) -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:af218aaf7b5b0a0ebb6b3697f2c89893d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab707a84abdffbdc35962a495e238d393"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#ab707a84abdffbdc35962a495e238d393">operator==</a> (bool rhs) -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, bool &gt; const</td></tr>
<tr class="separator:ab707a84abdffbdc35962a495e238d393"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d660580c0a8e6bb24b65a4b5364b5b1"><td class="memTemplParams" colspan="2">template&lt;typename RhsT &gt; </td></tr>
<tr class="memitem:a2d660580c0a8e6bb24b65a4b5364b5b1"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#a2d660580c0a8e6bb24b65a4b5364b5b1">operator!=</a> (RhsT const &amp;rhs) -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:a2d660580c0a8e6bb24b65a4b5364b5b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60eca847201d057d8a8b7222c69b619c"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#a60eca847201d057d8a8b7222c69b619c">operator!=</a> (bool rhs) -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, bool &gt; const</td></tr>
<tr class="separator:a60eca847201d057d8a8b7222c69b619c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f9d22b7ef87375af7a2583c9643a0f4"><td class="memTemplParams" colspan="2">template&lt;typename RhsT &gt; </td></tr>
<tr class="memitem:a7f9d22b7ef87375af7a2583c9643a0f4"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#a7f9d22b7ef87375af7a2583c9643a0f4">operator&gt;</a> (RhsT const &amp;rhs) -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:a7f9d22b7ef87375af7a2583c9643a0f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd1ce21cb0be233a63cbdd7724adffea"><td class="memTemplParams" colspan="2">template&lt;typename RhsT &gt; </td></tr>
<tr class="memitem:afd1ce21cb0be233a63cbdd7724adffea"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#afd1ce21cb0be233a63cbdd7724adffea">operator&lt;</a> (RhsT const &amp;rhs) -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:afd1ce21cb0be233a63cbdd7724adffea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ab1a2e91533a8b66a5d2e70774f6793"><td class="memTemplParams" colspan="2">template&lt;typename RhsT &gt; </td></tr>
<tr class="memitem:a5ab1a2e91533a8b66a5d2e70774f6793"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#a5ab1a2e91533a8b66a5d2e70774f6793">operator&gt;=</a> (RhsT const &amp;rhs) -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:a5ab1a2e91533a8b66a5d2e70774f6793"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a918090c28bee54222730159b56240af1"><td class="memTemplParams" colspan="2">template&lt;typename RhsT &gt; </td></tr>
<tr class="memitem:a918090c28bee54222730159b56240af1"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#a918090c28bee54222730159b56240af1">operator&lt;=</a> (RhsT const &amp;rhs) -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:a918090c28bee54222730159b56240af1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52358a7cbaf47578ff436a378ac818c6"><td class="memTemplParams" colspan="2">template&lt;typename RhsT &gt; </td></tr>
<tr class="memitem:a52358a7cbaf47578ff436a378ac818c6"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#a52358a7cbaf47578ff436a378ac818c6">operator|</a> (RhsT const &amp;rhs) -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:a52358a7cbaf47578ff436a378ac818c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39bc6a4687580e5fef174cae9b573283"><td class="memTemplParams" colspan="2">template&lt;typename RhsT &gt; </td></tr>
<tr class="memitem:a39bc6a4687580e5fef174cae9b573283"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#a39bc6a4687580e5fef174cae9b573283">operator&amp;</a> (RhsT const &amp;rhs) -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:a39bc6a4687580e5fef174cae9b573283"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a904664f51bf478b41b12ac6cb3e1ec23"><td class="memTemplParams" colspan="2">template&lt;typename RhsT &gt; </td></tr>
<tr class="memitem:a904664f51bf478b41b12ac6cb3e1ec23"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#a904664f51bf478b41b12ac6cb3e1ec23">operator^</a> (RhsT const &amp;rhs) -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:a904664f51bf478b41b12ac6cb3e1ec23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad85684f7b02a98eb1b5d03d4cbd8284b"><td class="memTemplParams" colspan="2">template&lt;typename RhsT &gt; </td></tr>
<tr class="memitem:ad85684f7b02a98eb1b5d03d4cbd8284b"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#ad85684f7b02a98eb1b5d03d4cbd8284b">operator&amp;&amp;</a> (RhsT const &amp;) -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:ad85684f7b02a98eb1b5d03d4cbd8284b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9b4ee923b90af22c9e39261c2f03cd3"><td class="memTemplParams" colspan="2">template&lt;typename RhsT &gt; </td></tr>
<tr class="memitem:ae9b4ee923b90af22c9e39261c2f03cd3"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#ae9b4ee923b90af22c9e39261c2f03cd3">operator||</a> (RhsT const &amp;) -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt; LhsT, RhsT const &amp; &gt; const</td></tr>
<tr class="separator:ae9b4ee923b90af22c9e39261c2f03cd3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab68bd6d5d3ae21b7fba9010150fba95d"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#ab68bd6d5d3ae21b7fba9010150fba95d">makeUnaryExpr</a> () const -&gt; <a class="el" href="classCatch_1_1UnaryExpr.html">UnaryExpr</a>&lt; LhsT &gt;</td></tr>
<tr class="separator:ab68bd6d5d3ae21b7fba9010150fba95d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:af290873a8427ccbdae6acb915fb7366a"><td class="memItemLeft" align="right" valign="top">LhsT&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ExprLhs.html#af290873a8427ccbdae6acb915fb7366a">m_lhs</a></td></tr>
<tr class="separator:af290873a8427ccbdae6acb915fb7366a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ad22c6af1a7d6993240624d299714a479"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad22c6af1a7d6993240624d299714a479">&#9670;&nbsp;</a></span>ExprLhs() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::<a class="el" href="classCatch_1_1ExprLhs.html">ExprLhs</a> </td>
          <td>(</td>
          <td class="paramtype">LhsT&#160;</td>
          <td class="paramname"><em>lhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad22c6af1a7d6993240624d299714a479"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad22c6af1a7d6993240624d299714a479">&#9670;&nbsp;</a></span>ExprLhs() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::<a class="el" href="classCatch_1_1ExprLhs.html">ExprLhs</a> </td>
          <td>(</td>
          <td class="paramtype">LhsT&#160;</td>
          <td class="paramname"><em>lhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ab68bd6d5d3ae21b7fba9010150fba95d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab68bd6d5d3ae21b7fba9010150fba95d">&#9670;&nbsp;</a></span>makeUnaryExpr() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::makeUnaryExpr </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt; <a class="el" href="classCatch_1_1UnaryExpr.html">UnaryExpr</a>&lt;LhsT&gt; </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab68bd6d5d3ae21b7fba9010150fba95d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab68bd6d5d3ae21b7fba9010150fba95d">&#9670;&nbsp;</a></span>makeUnaryExpr() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::makeUnaryExpr </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt; <a class="el" href="classCatch_1_1UnaryExpr.html">UnaryExpr</a>&lt;LhsT&gt; </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a60eca847201d057d8a8b7222c69b619c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60eca847201d057d8a8b7222c69b619c">&#9670;&nbsp;</a></span>operator!=() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::operator!= </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, bool&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a60eca847201d057d8a8b7222c69b619c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60eca847201d057d8a8b7222c69b619c">&#9670;&nbsp;</a></span>operator!=() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::operator!= </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, bool&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2d660580c0a8e6bb24b65a4b5364b5b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d660580c0a8e6bb24b65a4b5364b5b1">&#9670;&nbsp;</a></span>operator!=() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<div class="memtemplate">
template&lt;typename RhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::operator!= </td>
          <td>(</td>
          <td class="paramtype">RhsT const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2d660580c0a8e6bb24b65a4b5364b5b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d660580c0a8e6bb24b65a4b5364b5b1">&#9670;&nbsp;</a></span>operator!=() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<div class="memtemplate">
template&lt;typename RhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::operator!= </td>
          <td>(</td>
          <td class="paramtype">RhsT const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a39bc6a4687580e5fef174cae9b573283"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39bc6a4687580e5fef174cae9b573283">&#9670;&nbsp;</a></span>operator&amp;() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<div class="memtemplate">
template&lt;typename RhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::operator&amp; </td>
          <td>(</td>
          <td class="paramtype">RhsT const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a39bc6a4687580e5fef174cae9b573283"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39bc6a4687580e5fef174cae9b573283">&#9670;&nbsp;</a></span>operator&amp;() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<div class="memtemplate">
template&lt;typename RhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::operator&amp; </td>
          <td>(</td>
          <td class="paramtype">RhsT const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad85684f7b02a98eb1b5d03d4cbd8284b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad85684f7b02a98eb1b5d03d4cbd8284b">&#9670;&nbsp;</a></span>operator&amp;&amp;() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<div class="memtemplate">
template&lt;typename RhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::operator&amp;&amp; </td>
          <td>(</td>
          <td class="paramtype">RhsT const &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad85684f7b02a98eb1b5d03d4cbd8284b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad85684f7b02a98eb1b5d03d4cbd8284b">&#9670;&nbsp;</a></span>operator&amp;&amp;() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<div class="memtemplate">
template&lt;typename RhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::operator&amp;&amp; </td>
          <td>(</td>
          <td class="paramtype">RhsT const &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afd1ce21cb0be233a63cbdd7724adffea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd1ce21cb0be233a63cbdd7724adffea">&#9670;&nbsp;</a></span>operator&lt;() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<div class="memtemplate">
template&lt;typename RhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::operator&lt; </td>
          <td>(</td>
          <td class="paramtype">RhsT const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afd1ce21cb0be233a63cbdd7724adffea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd1ce21cb0be233a63cbdd7724adffea">&#9670;&nbsp;</a></span>operator&lt;() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<div class="memtemplate">
template&lt;typename RhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::operator&lt; </td>
          <td>(</td>
          <td class="paramtype">RhsT const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a918090c28bee54222730159b56240af1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a918090c28bee54222730159b56240af1">&#9670;&nbsp;</a></span>operator&lt;=() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<div class="memtemplate">
template&lt;typename RhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::operator&lt;= </td>
          <td>(</td>
          <td class="paramtype">RhsT const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a918090c28bee54222730159b56240af1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a918090c28bee54222730159b56240af1">&#9670;&nbsp;</a></span>operator&lt;=() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<div class="memtemplate">
template&lt;typename RhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::operator&lt;= </td>
          <td>(</td>
          <td class="paramtype">RhsT const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab707a84abdffbdc35962a495e238d393"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab707a84abdffbdc35962a495e238d393">&#9670;&nbsp;</a></span>operator==() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::operator== </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, bool&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab707a84abdffbdc35962a495e238d393"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab707a84abdffbdc35962a495e238d393">&#9670;&nbsp;</a></span>operator==() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::operator== </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, bool&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af218aaf7b5b0a0ebb6b3697f2c89893d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af218aaf7b5b0a0ebb6b3697f2c89893d">&#9670;&nbsp;</a></span>operator==() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<div class="memtemplate">
template&lt;typename RhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::operator== </td>
          <td>(</td>
          <td class="paramtype">RhsT const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af218aaf7b5b0a0ebb6b3697f2c89893d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af218aaf7b5b0a0ebb6b3697f2c89893d">&#9670;&nbsp;</a></span>operator==() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<div class="memtemplate">
template&lt;typename RhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::operator== </td>
          <td>(</td>
          <td class="paramtype">RhsT const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7f9d22b7ef87375af7a2583c9643a0f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f9d22b7ef87375af7a2583c9643a0f4">&#9670;&nbsp;</a></span>operator&gt;() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<div class="memtemplate">
template&lt;typename RhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::operator&gt; </td>
          <td>(</td>
          <td class="paramtype">RhsT const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7f9d22b7ef87375af7a2583c9643a0f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f9d22b7ef87375af7a2583c9643a0f4">&#9670;&nbsp;</a></span>operator&gt;() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<div class="memtemplate">
template&lt;typename RhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::operator&gt; </td>
          <td>(</td>
          <td class="paramtype">RhsT const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5ab1a2e91533a8b66a5d2e70774f6793"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ab1a2e91533a8b66a5d2e70774f6793">&#9670;&nbsp;</a></span>operator&gt;=() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<div class="memtemplate">
template&lt;typename RhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::operator&gt;= </td>
          <td>(</td>
          <td class="paramtype">RhsT const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5ab1a2e91533a8b66a5d2e70774f6793"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ab1a2e91533a8b66a5d2e70774f6793">&#9670;&nbsp;</a></span>operator&gt;=() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<div class="memtemplate">
template&lt;typename RhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::operator&gt;= </td>
          <td>(</td>
          <td class="paramtype">RhsT const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a904664f51bf478b41b12ac6cb3e1ec23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a904664f51bf478b41b12ac6cb3e1ec23">&#9670;&nbsp;</a></span>operator^() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<div class="memtemplate">
template&lt;typename RhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::operator^ </td>
          <td>(</td>
          <td class="paramtype">RhsT const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a904664f51bf478b41b12ac6cb3e1ec23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a904664f51bf478b41b12ac6cb3e1ec23">&#9670;&nbsp;</a></span>operator^() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<div class="memtemplate">
template&lt;typename RhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::operator^ </td>
          <td>(</td>
          <td class="paramtype">RhsT const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a52358a7cbaf47578ff436a378ac818c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52358a7cbaf47578ff436a378ac818c6">&#9670;&nbsp;</a></span>operator|() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<div class="memtemplate">
template&lt;typename RhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::operator| </td>
          <td>(</td>
          <td class="paramtype">RhsT const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a52358a7cbaf47578ff436a378ac818c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52358a7cbaf47578ff436a378ac818c6">&#9670;&nbsp;</a></span>operator|() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<div class="memtemplate">
template&lt;typename RhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::operator| </td>
          <td>(</td>
          <td class="paramtype">RhsT const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae9b4ee923b90af22c9e39261c2f03cd3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9b4ee923b90af22c9e39261c2f03cd3">&#9670;&nbsp;</a></span>operator||() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<div class="memtemplate">
template&lt;typename RhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::operator|| </td>
          <td>(</td>
          <td class="paramtype">RhsT const &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae9b4ee923b90af22c9e39261c2f03cd3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9b4ee923b90af22c9e39261c2f03cd3">&#9670;&nbsp;</a></span>operator||() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<div class="memtemplate">
template&lt;typename RhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto <a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::operator|| </td>
          <td>(</td>
          <td class="paramtype">RhsT const &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1BinaryExpr.html">BinaryExpr</a>&lt;LhsT, RhsT const&amp;&gt; const </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="af290873a8427ccbdae6acb915fb7366a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af290873a8427ccbdae6acb915fb7366a">&#9670;&nbsp;</a></span>m_lhs</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">LhsT <a class="el" href="classCatch_1_1ExprLhs.html">Catch::ExprLhs</a>&lt; LhsT &gt;::m_lhs</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
